name='telegram-desktop-bin'
version='4.4.1'
release='1'
desc='Official desktop version of Telegram messaging app - Static binaries'
homepage='https://github.com/telegramdesktop/tdesktop'
architectures=('amd64')
license=('GPLv3')
provides=('telegram-desktop')
conflicts=('telegram-desktop')
deps=('desktop-file-utils' 'glib2' 'hicolor-icon-theme' 'libdbus' 'libx11' 'libappindicator-gtk3' 'xdg-utils')
build_deps=('chrpath')


sources=(
"$pkgname.desktop"
"tg.protocol"
"${homepage}/raw/master/Telegram/Resources/art/icon{16,32,48,64,128,256,512}.png"
"${homepage}/releases/download/v${version}/tsetup.${version}.tar.xz")
checksums=(
'SKIP'
'SKIP'
'SKIP'
'SKIP'
'SKIP'
'SKIP'
'SKIP'
'SKIP'
'SKIP'
)

prepare() {
	cd "${srcdir}"
install="$pkgname.install"
}
package() {

cd "$srcdir/"

# Creating needed directories
install -dm755 "${pkgdir}/usr/bin"
install -dm755 "${pkgdir}/usr/share/pixmaps/"
install -dm755 "${pkgdir}/usr/share/applications/"
	# Program
	install -Dm755 "${srcdir}/Telegram/Telegram" "${pkgdir}/usr/bin/telegram-desktop"

	# Remove RPATH informations
	chrpath --delete "${pkgdir}/usr/bin/telegram-desktop"

	# Desktop launcher
	install -Dm644 "${srcdir}/icon256.png" "${pkgdir}/usr/share/pixmaps/telegram.png"
	install -Dm644 "${srcdir}/${name}.desktop" "${pkgdir}/usr/share/applications/telegramdesktop.desktop"

	# KDE5 & KDE4 protocol file
	install -d "${pkgdir}/usr/share/kservices5"
	install -d "${pkgdir}/usr/share/kde4/services"
	install -m644 "${srcdir}/tg.protocol" "${pkgdir}/usr/share/kservices5/tg.protocol"
	ln -s "/usr/share/kservices5/tg.protocol" "${pkgdir}/usr/share/kde4/services"

	# Icons
	local icon_size icon_dir
	for icon_size in 16 32 48 64 128 256 512; do
		icon_dir="${pkgdir}/usr/share/icons/hicolor/${icon_size}x${icon_size}/apps"
		install -d "${icon_dir}"
		install -m644 "${srcdir}/icon${icon_size}.png" "${icon_dir}/telegram.png"
	done

	# Disable the official Telegram Desktop updater
	mkdir -p "${pkgdir}/etc/tdesktop"
	echo "/usr/bin/telegram-desktop" >"${pkgdir}/etc/tdesktop/externalupdater"
}